/*******************************************************************************
* FILE NAME: utilities.h
*
* DESCRIPTION: 
*  Miscellaneous utility type routines
*******************************************************************************/

#ifndef __utilities_h_
#define __utilities_h_


#ifdef VARIABLE_DECLARE
  int ipwm01, ipwm02, ipwm03, ipwm04, ipwm05, ipwm06, ipwm07, ipwm08;
  int ipwm09, ipwm10, ipwm11, ipwm12, ipwm13, ipwm14, ipwm15, ipwm16;
  int ip1_y, ip2_y, ip3_y, ip4_y;
  int ip1_x, ip2_x, ip3_x, ip4_x;
  int ip1_wheel, ip2_wheel, ip3_wheel, ip4_wheel;
  int ip1_aux, ip2_aux, ip3_aux, ip4_aux;
#else
  extern int ipwm01, ipwm02, ipwm03, ipwm04, ipwm05, ipwm06, ipwm07, ipwm08;
  extern int ipwm09, ipwm10, ipwm11, ipwm12, ipwm13, ipwm14, ipwm15, ipwm16;
  extern int ip1_y, ip2_y, ip3_y, ip4_y;
  extern int ip1_x, ip2_x, ip3_x, ip4_x;
  extern int ip1_wheel, ip2_wheel, ip3_wheel, ip4_wheel;
  extern int ip1_aux, ip2_aux, ip3_aux, ip4_aux;
#endif

#define print358(x) printf x
#define ENCODER_INCHES    2945  //hundreds of inchs traveled per encoder full revolution (256 counts)
#define TICKS_PER_REV 12800   //Shifted left two decimal places to increase accuracy

void ConvertInputs(void);
void ConvertOutputs(void);
void Brake(char, int, int);
void Smooth_Joystick(int *);
unsigned int abs(signed int);
void Hold_Position(char, int, int);
int  Limit_Mix (int );
void Initialize_Interrupts(void);


#endif
/******************************************************************************/
/******************************************************************************/
/******************************************************************************/
