/*******************************************************************************
* FILE NAME: velocity_control.h
*
* DESCRIPTION:
*  PID shooter wheel velocity control 
*
*
*******************************************************************************/


#ifndef __velocity_control_h_
#define __velocity_control_h_

#include "ifi_default.h"

#ifdef VARIABLE_DECLARE
  char UpToSpeed=FALSE;
  char ShooterOn=FALSE;
#else
  extern char UpToSpeed;
  extern char ShooterOn;
#endif

void VelocityControl(void);
char DrumsAtSpeed(void);

#endif
